DFTEST(1)

NAME
dftest - Shows display filter byte-code, for debugging dfilter routines.

SYNOPSIS

dftest [ <filter> ]

DESCRIPTION

dftest is a simple tool which compiles a display filter and shows its bytecode. Please refer to doc/README.display_filter for a description of the DFVM (Display Filter Virtual Machine) Byte Codes.

OPTIONS

filter

    The display filter expression. If needed it has to be quoted.

DIAGNOSTIC OPTIONS

--log-level <level>
    Set the active log level. Supported levels in lowest to highest order are "noisy", "debug", "info", "message", "warning", "critical", and "error". Messages at each level and higher will be printed, for example "warning" prints "warning", "critical", and "error" messages and "noisy" prints all messages. Levels are case insensitive.

--log-fatal <level>
    Abort the program if any messages are logged at the specified level or higher. For example, "warning" aborts on any "warning", "critical", or "error" messages.

--log-domains <list>
    Only print messages for the specified log domains, e.g. "GUI,Epan,sshdump". List of domains must be comma-separated.

--log-debug <list>
    Force the specified domains to log at the "debug" level. List of domains must be comma-separated.

--log-noisy <list>
    Force the specified domains to log at the "noisy" level. List of domains must be comma-separated.

--log-file <path>
    Write log messages and stderr output to the specified file.

EXAMPLES

Show how the IP protocol is filtered:

    dftest ip

Shows how frame 150 is filtered:

    dftest "frame.number == 150"

SEE ALSO

wireshark-filter(4)

AUTHORS

Original Author
Jan Šafránek

Contributors
Jaap Keuter